Cyberduck Mountain Duck CLI

#2411 closed defect (fixed)

3.0.2 update = botched symlinks

Reported by: rsteiner@… Owned by: dkocher
Priority: normal Milestone: 3.1
Component: ftp Version: 3.0.2
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

(Using: PPC G5 with OS X 10.4.11)

After updating to 3.0.2: Symlinked folders open to reveal a symlink file inside instead of displaying symlink folder contents.

Double-clicking on symlink file throws "FTP Error: Listed directory failed." The details then shows the symlink folder & symlink file listing(which is incorrect)

[see attached img]

Attachments (2)

cyberduck302_error.jpg (30.6 KB) - added by rsteiner@… on Aug 11, 2008 at 9:26:18 PM.
screen snap of error window
cyberduck302_error_logdrawer.rtf (3.4 KB) - added by rsteiner@… on Aug 11, 2008 at 10:15:18 PM.
text file of log drawer details (Names have been changed to protect the innocent)

Download all attachments as: .zip

Change History (7)

Changed on Aug 11, 2008 at 9:26:18 PM by rsteiner@…

screen snap of error window

comment:1 Changed on Aug 11, 2008 at 9:48:47 PM by dkocher

Please post the transcript from View → Log Drawer.

comment:2 Changed on Aug 11, 2008 at 9:48:58 PM by dkocher

  • Component changed from core to ftp

Changed on Aug 11, 2008 at 10:15:18 PM by rsteiner@…

text file of log drawer details (Names have been changed to protect the innocent)

comment:3 Changed on Aug 12, 2008 at 10:41:55 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r4166.

comment:4 Changed on Aug 12, 2008 at 10:42:43 PM by dkocher

NOOP
200 NOOP command successful.
STAT /raid/0/www/docs/friedeggs/toast
213-status of /raid/0/www/docs/friedeggs/toast:
total 322
drwxrwxr-x   2 foobar      512 Mar 21  2006 _himom
-rw-rw-r--   1 foobar    13824 Jun 17 13:43 banana.xls
lrwxrwxrwx   1 foobar       21 Mar 21  2006 grapenuts -> ../breakfast/plate
drwxrwxr-x   3 foobar     1024 May 19 15:22 css-js
lrwxrwxrwx   1 foobar       31 Apr 11  2006 dealer -> /napkin/friedeggs/toast/dealer
lrwxrwxrwx   1 foobar       30 Mar 21  2006 download -> ../breakfast/plate/download
drwxrwxr-x   2 foobar     2560 Jun 16 14:45 downloads
drwxrwxr-x   4 foobar     1024 Jul 17  2007 errors
-rwxrwxr-x   1 foobar      894 Apr 11  2006 favicon.ico
lrwxrwxrwx   1 foobar        4 Mar 21  2006 shelfspace -> /ccs
drwxrwxr-x   2 foobar      512 Jun  8  2006 foundyou
drwxrwxr-x   4 foobar     3584 Aug  8 13:50 forms
drwxrwxr-x   4 foobar     2560 May  5 11:17 images
drwxrwxr-x   3 foobar      512 May 29 14:51 inc
drwxrwxr-x   2 foobar      512 May 19  2006 index
-rwxrwxr-x   1 foobar     2932 Jul 17  2007 index.html
-rwxrwxr-x   1 foobar     4071 May 11  2006 index_bak.html
drwxrwxr-x   3 foobar      512 Jun  4 13:03 login
drwxrwxr-x   2 foobar      512 Apr 11  2006 salty_grapenuts_footers
lrwxrwxrwx   1 foobar       52 Mar 21  2006 salty_crackers -> ../breakfast/salty_grapenuts_placemat/grapenuts
lrwxrwxrwx   1 foobar       34 Apr 11  2006 nondealer -> /napkin/friedeggs/toast/nondealer
drwxrwxr-x   2 foobar      512 Aug 31  2007 fork_art_footers
-rwxrwxr-x   1 foobar     8808 Apr 25  2007 fork_sort.shtml
lrwxrwxrwx   1 foobar        8 Apr  5  2006 spoon -> ../spoon
drwxrwxr-x   5 foobar     2048 Jun 17 13:45 templates
-rw-rw-r--   1 foobar    26624 Mar 20  2006 breakfast.xls
-rw-rw-r--   1 foobar    55371 Apr 11  2006 breakfast_binary.txt
-rw-rw-r--   1 foobar    19968 Apr 11  2006 breakfast_views.xls
drwxrwxr-x   4 foobar      512 Jun  4 13:24 welcome
213 End of Status
CWD /raid/0/www/docs/friedeggs/toast/grapenuts
550 /raid/0/www/docs/friedeggs/toast/grapenuts: No such file or directory.
CWD /raid/0/www/docs/friedeggs/toast/dealer
250 CWD command successful.
CWD /raid/0/www/docs/friedeggs/toast/download
550 /raid/0/www/docs/friedeggs/toast/download: No such file or directory.
CWD /raid/0/www/docs/friedeggs/toast/file_store
250 CWD command successful.
CWD /raid/0/www/docs/friedeggs/toast/salty_crackers
550 /raid/0/www/docs/friedeggs/toast/salty_crackers: No such file or directory.
CWD /raid/0/www/docs/friedeggs/toast/nondealer
250 CWD command successful.
CWD /raid/0/www/docs/friedeggs/toast/spoon
250 CWD command successful.
CWD /raid/0/www/docs/friedeggs/toast
250 CWD command successful.
NOOP
200 NOOP command successful.
STAT /raid/0/www/docs/friedeggs/toast/dealer
213-status of /raid/0/www/docs/friedeggs/toast/dealer:
lrwxrwxrwx   1 foobar       31 Apr 11  2006 /raid/0/www/docs/friedeggs/toast/dealer -> /napkin/friedeggs/toast/dealer
213 End of Status
CWD /raid/0/www/docs/friedeggs/toast/dealer/raid/0/www/docs/friedeggs/toast/dealer
550 /raid/0/www/docs/friedeggs/toast/dealer/raid/0/www/docs/friedeggs/toast/dealer: No such file or directory.

comment:5 Changed on Aug 31, 2008 at 7:36:34 PM by dkocher

Related to #2434.

Note: See TracTickets for help on using tickets.
swiss made software